Package docking.widgets.textfield

# Class IntegerFormatter

java.lang.Object
javax.swing.JFormattedTextField.AbstractFormatter
javax.swing.text.DefaultFormatter
javax.swing.text.InternationalFormatter
javax.swing.text.NumberFormatter
docking.widgets.textfield.IntegerFormatter

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `HexIntegerFormatter`

public class IntegerFormatter extends NumberFormatter

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static class`
  `IntegerFormatter.PosiviteValueIntegerDocumentFilterWrapper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntegerFormatter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected DocumentFilter`
  `createDocumentFilter()`
  `protected DocumentFilter`
  `getDocumentFilter()`
  `protected DocumentFilter`
  `getOriginalDocumentFilter()`

  ### Methods inherited from class javax.swing.text.NumberFormatter

  `setFormat`

  ### Methods inherited from class javax.swing.text.InternationalFormatter

  `clone, getActions, getFields, getFormat, getMaximum, getMinimum, install, setMaximum, setMinimum, stringToValue, valueToString`

  ### Methods inherited from class javax.swing.text.DefaultFormatter

  `getAllowsInvalid, getCommitsOnValidEdit, getNavigationFilter, getOverwriteMode, getValueClass, setAllowsInvalid, setCommitsOnValidEdit, setOverwriteMode, setValueClass`

  ### Methods inherited from class javax.swing.JFormattedTextField.AbstractFormatter

  `getFormattedTextField, invalidEdit, setEditValid, uninstall`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntegerFormatter

    public IntegerFormatter()

- ## Method Details

  - ### getDocumentFilter

    protected DocumentFilter getDocumentFilter()
    Overrides:
      `getDocumentFilter` in class `DefaultFormatter`

  - ### createDocumentFilter

    protected DocumentFilter createDocumentFilter()

  - ### getOriginalDocumentFilter

    protected DocumentFilter getOriginalDocumentFilter()